// SPDX-License-Identifier: Apache-2.0
import { Command } from "../../../../../../../core/command/Command";
export class SetAddressFrozenCommandResponse {
    payload;
    transactionId;
    constructor(payload, transactionId) {
        this.payload = payload;
        this.transactionId = transactionId;
    }
}
export class SetAddressFrozenCommand extends Command {
    securityId;
    status;
    targetId;
    constructor(securityId, status, targetId) {
        super();
        this.securityId = securityId;
        this.status = status;
        this.targetId = targetId;
    }
}
